org.modeshape.jcr.security

## Interface AdvancedAuthorizationProvider.Context

- Enclosing interface:
    AdvancedAuthorizationProvider

      public static interface AdvancedAuthorizationProvider.Context

  The context in which the calling session is operating, and which contains session-related information that a provider implementation may find useful.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExecutionContext` | `getExecutionContext()` Get the execution context in which this session is running.
    `String` | `getRepositoryName()` Get the name of the repository that is being accessed.
    `Session` | `getSession()` Get the session that is requesting this authorization provider to `determine permissions`.
    `String` | `getWorkspaceName()` Get the name of the repository workspace that is being accessed.

- - ### Method Detail

    - #### getExecutionContext

          ExecutionContext getExecutionContext()

      Get the execution context in which this session is running.
      Returns:
        the session's execution context; never null

    - #### getSession

          Session getSession()

      Get the session that is requesting this authorization provider to `determine permissions`. Provider implementations are free to use the session to access nodes other than those for which permissions are being determined. For example, the implementation may access other authorization-related content inside the same repository. Just be aware that such accesses will generate additional calls to the `AdvancedAuthorizationProvider.hasPermission(Context, Path, String...)` method.
      Returns:
        the session; never null

    - #### getRepositoryName

          String getRepositoryName()

      Get the name of the repository that is being accessed.
      Returns:
        the repository name; never null

    - #### getWorkspaceName

          String getWorkspaceName()

      Get the name of the repository workspace that is being accessed.
      Returns:
        the workspace name; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.